Bug 125434 - Add support for the Visual Studio cl.exe compiler
Add support for the Visual Studio cl.exe compiler
Status: RESOLVED WONTFIX
Product: cnd
Classification: Unclassified
Component: -- Other --
6.x
PC Windows XP
: P3 with 1 vote (vote)
: 6.x
Assigned To: Thomas Preisler
issues@cnd
toolchain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-16 21:05 UTC by japsmits
Modified: 2009-05-14 16:05 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description japsmits 2008-01-16 21:05:37 UTC
Currently, it seems to be impossible to specify the Visual Studio compiler (cl.exe) as the default C++ compiler. Since
we are running a cross-platform project that should run on Linux as well as Windows, support for this compiler would be
very handy.
Comment 1 Thomas Preisler 2008-11-17 23:40:03 UTC
Toolchain is not extensible and you should be able to implement a compiler personality for just about any compiler. HowTo should be posted on http://wiki.netbeans.org/CAndCPlusPlus in near future.
Comment 2 swpalmer 2008-11-18 02:06:34 UTC
I assume that "is not extensible" should be "is now extensible" or something else that makes more sense.

This shouldn't be marked as resolved/fixed unless NetBeans 6.5 sees that the Visual Studio Compiler is installed and automatically configures to use it, or at 
least is as simple as selecting Visual Studio from a combobox.  This is based on the assumption that manually configuring this stuff will be painful.  E.g. I 
simply can't get Cygwin to compile any code that calls Win32 APIs - to the point that I don't think Windows should be listed as a supported platform for the 
C/C++ development pack.
Comment 3 japsmits 2008-11-18 08:34:53 UTC
I still have to check for NetBeans 6.5, but with 6.0 it was impossible to select cl.exe. I made several attempts to
create batchfiles and renaming cl.exe to gcc.exe, but to no avail. After a day of trying I gave up. It looked like the
only workaround was to create a separate executable that calls cl.exe, translating the commandline options and such.

Since I don't have a Windows PC here with NetBeans installed, I cannot test it with 6.5. I'll check that this week at
home, and update this item.

I'll leave this as "RESOLVED FIXED" for now, giving you the benefit of the doubt! ;-)
Comment 4 Thomas Preisler 2008-11-19 18:19:59 UTC
Here is the HowTo:

http://www.netbeans.org/kb/docs/cnd/toolchain.html 
Comment 5 swpalmer 2008-11-20 01:26:38 UTC
That page still lists GNU C/C++ compilers as a requirement (and is therefore unrealistic for the Windows platform).
Comment 6 Thomas Preisler 2008-11-20 03:06:44 UTC
reopen the issue....
Comment 7 Alexander Simon 2008-11-20 06:36:39 UTC
>That page still lists GNU C/C++ compilers as a requirement
It is a requirement for the tutorial.
You can apply the tutorial for cl.exe also.

Comment 8 Leonid Lenyashin 2008-11-20 16:55:58 UTC
There is no plan to support cl.exe. There is machinery that enable users to configure it and use on their own risk. We
have no solution for debugging binaries produced by cl.exe.
Comment 9 swpalmer 2008-11-20 18:39:46 UTC
It would be useful even without debugger support, but I understand the desire to provide something more complete.  In 
the mean time, please remove the claim that Windows is a supported platform for C/C++ development.  Unless someone can 
demonstrate compiling typical Windows code using the Windows Platform SDK with the solutions proposed so far.  E.g. if 
you can build the JRE native components for Windows (AWT, D3D graphics pipeline, etc.) entirely within NetBeans then 
you've got a solution.
Comment 10 Leonid Lenyashin 2008-11-21 08:40:09 UTC
We have vast majority of users residing on Windows... So, I'd not surprise them with a claim that Windows is not
supported :)
Comment 11 swpalmer 2008-11-21 15:38:35 UTC
I'm one of them...  and I find the C/C++ support in NetBeans on Windows is lacking.  I've spent many hours and I can't 
compile my Windows code with NetBeans. (I'm not new to C/C++ development.) GCC can't seem to deal with the Microsoft 
headers.  Are there Windows users that are producing real-world applications requiring the use of the Windows Platform 
SDK, or are they just playing around?  If users have solved these issues then their secrets need to be rolled into the 
C/C++ NetBeans module so it "just works".  Right now getting a Windows configuration that works is pure hell.  I'm 
trying again with MinGW instead of Cygwin to see if that makes any difference...

Comment 12 Vladimir Voskresensky 2009-05-14 16:05:59 UTC
resolved in 6.7


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo